<template>
    <div :class="customClass">
        <template v-for="item in items">
            <b-btn
                v-if="item"
                :key="item.key || item.event "
                type="button"
                variant="primary"
                class="btn"
                :class="item.class"
                @click="$emit(item.event)"
            >
                <i
                    v-if="item.icon"
                    class="fa btn__icon"
                    :class="item.icon"
                    aria-hidden="true"
                />
                {{ item.title }}
                <i
                    v-if="item.icon_after"
                    class="fa btn__icon_after"
                    :class="item.icon_after"
                    aria-hidden="true"
                />
            </b-btn>
        </template>
    </div>
</template>

<script>
export default {
    props: {
        items: {
            type: Array,
             default: () => [
                {title: 'Save', icon: 'fa-pencil-square-o', event: 'save', class: 'light-blue-btn'}
            ]
        },
        customClass: {
            type: String,
            default: 'edit__actions'
        }
    },
}
</script>

<style lang="scss" scoped>
.btn {
    display: flex;
    align-items: center;
    justify-content: center;
    &__icon {
        margin-right: 3px;
        &_after {
            margin-left: 3px;
        }
    }
}
</style>